Page MenuHomePhabricator

DocBookExport: No PDF created, produced docbook appears to be malformed
Closed, ResolvedPublic

Description

After suppressing previous bugs there is still no PDF produced.

When running xsltproc manually on the produced xml file, it throws lots of errors.

For my page about 150 of these (with varying page names):

/var/www/html/w/images/DocBookExport/foobar/foobar.xml:15: namespace error : Namespace prefix xlink for href on link is not defined  
  <link xlink:href="/a5cm/12345/AA">12345/AA</link>

followed by about 30 of these (again, varying page names):

Error: no ID for constraint linkend: "page-FOOBAR".
XLink to nonexistent id: page-FOOBAR

It still creates a .fo file, though. When running fop on that I get

[warning] /usr/bin/fop: No java runtime was found
[WARN] FOUserAgent - Font "Symbol,normal,700" not found. Substituting with "Symbol,normal,400".
[WARN] FOUserAgent - Font "ZapfDingbats,normal,700" not found. Substituting with "ZapfDingbats,normal,400".
[INFO] FOUserAgent - Rendered page #1.
[INFO] FOUserAgent - Rendered page #2.
[WARN] FOUserAgent - The following feature isn't implemented by Apache FOP, yet: table-layout="auto" (on fo:table) (See position 2:50400)
[ERROR] FOUserAgent - Invalid property value encountered in column-width="proportional-column-width(1)": org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:2:50400: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width' (See position 2:50480) <org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:2:50400: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width'>org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:2:50400: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width'
        at org.apache.fop.fo.expr.ProportionalColumnWidthFunction.eval(ProportionalColumnWidthFunction.java:61)
        at org.apache.fop.fo.expr.PropertyParser.parsePrimaryExpr(PropertyParser.java:341)
        at org.apache.fop.fo.expr.PropertyParser.parseUnaryExpr(PropertyParser.java:213)
        at org.apache.fop.fo.expr.PropertyParser.parseMultiplicativeExpr(PropertyParser.java:178)
        at org.apache.fop.fo.expr.PropertyParser.parseAdditiveExpr(PropertyParser.java:152)
        at org.apache.fop.fo.expr.PropertyParser.parseProperty(PropertyParser.java:126)
        at org.apache.fop.fo.expr.PropertyParser.parse(PropertyParser.java:92)
        at org.apache.fop.fo.properties.PropertyMaker.make(PropertyMaker.java:438)
        at org.apache.fop.fo.PropertyList.convertAttributeToProperty(PropertyList.java:499)
        at org.apache.fop.fo.PropertyList.addAttributesToList(PropertyList.java:386)
        at org.apache.fop.fo.FObj.processNode(FObj.java:124)
        at org.apache.fop.fo.flow.table.TableFObj.processNode(TableFObj.java:232)
        at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.startElement(FOTreeBuilder.java:291)
        at org.apache.fop.fo.FOTreeBuilder.startElement(FOTreeBuilder.java:179)
        at org.apache.xalan.transformer.TransformerIdentityImpl.startElement(TransformerIdentityImpl.java:1073)
        at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown Source)
        at org.apache.xerces.parsers.AbstractXMLDocumentParser.emptyElement(Unknown Source)
        at org.apache.xerces.xinclude.XIncludeHandler.emptyElement(Unknown Source)
        at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.xalan.transformer.TransformerIdentityImpl.transform(TransformerIdentityImpl.java:485)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:285)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:115)
        at org.apache.fop.cli.Main.startFOP(Main.java:186)
        at org.apache.fop.cli.Main.main(Main.java:217)

[ERROR] FOUserAgent - Invalid property value encountered in column-width="proportional-column-width(1)": org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:2:50400: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width' (See position 2:50560) <org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:2:50400: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width'>org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:2:50400: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width'
        at org.apache.fop.fo.expr.ProportionalColumnWidthFunction.eval(ProportionalColumnWidthFunction.java:61)
        at org.apache.fop.fo.expr.PropertyParser.parsePrimaryExpr(PropertyParser.java:341)
        at org.apache.fop.fo.expr.PropertyParser.parseUnaryExpr(PropertyParser.java:213)
        at org.apache.fop.fo.expr.PropertyParser.parseMultiplicativeExpr(PropertyParser.java:178)
        at org.apache.fop.fo.expr.PropertyParser.parseAdditiveExpr(PropertyParser.java:152)
        at org.apache.fop.fo.expr.PropertyParser.parseProperty(PropertyParser.java:126)
        at org.apache.fop.fo.expr.PropertyParser.parse(PropertyParser.java:92)
        at org.apache.fop.fo.properties.PropertyMaker.make(PropertyMaker.java:438)
        at org.apache.fop.fo.PropertyList.convertAttributeToProperty(PropertyList.java:499)
        at org.apache.fop.fo.PropertyList.addAttributesToList(PropertyList.java:386)
        at org.apache.fop.fo.FObj.processNode(FObj.java:124)
        at org.apache.fop.fo.flow.table.TableFObj.processNode(TableFObj.java:232)
        at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.startElement(FOTreeBuilder.java:291)
        at org.apache.fop.fo.FOTreeBuilder.startElement(FOTreeBuilder.java:179)
        at org.apache.xalan.transformer.TransformerIdentityImpl.startElement(TransformerIdentityImpl.java:1073)
        at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown Source)
        at org.apache.xerces.parsers.AbstractXMLDocumentParser.emptyElement(Unknown Source)
        at org.apache.xerces.xinclude.XIncludeHandler.emptyElement(Unknown Source)
        at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.xalan.transformer.TransformerIdentityImpl.transform(TransformerIdentityImpl.java:485)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:285)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:115)
        at org.apache.fop.cli.Main.startFOP(Main.java:186)
        at org.apache.fop.cli.Main.main(Main.java:217)

[INFO] FOUserAgent - Rendered page #3.
[INFO] FOUserAgent - Rendered page #4.
[INFO] FOUserAgent - Rendered page #5.
[INFO] FOUserAgent - Rendered page #6.
[INFO] FOUserAgent - Rendered page #7.
[INFO] FOUserAgent - Rendered page #8.
[INFO] FOUserAgent - Rendered page #9.
[INFO] FOUserAgent - Rendered page #10.
[INFO] FOUserAgent - Rendered page #11.
[WARN] FOUserAgent - The following feature isn't implemented by Apache FOP, yet: table-layout="auto" (on fo:table) (See position 586:683)
[ERROR] FOUserAgent - Invalid property value encountered in column-width="proportional-column-width(1)": org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:586:683: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width' (See position 586:763) <org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:586:683: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width'>org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:586:683: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width'
        at org.apache.fop.fo.expr.ProportionalColumnWidthFunction.eval(ProportionalColumnWidthFunction.java:61)
        at org.apache.fop.fo.expr.PropertyParser.parsePrimaryExpr(PropertyParser.java:341)
        at org.apache.fop.fo.expr.PropertyParser.parseUnaryExpr(PropertyParser.java:213)
        at org.apache.fop.fo.expr.PropertyParser.parseMultiplicativeExpr(PropertyParser.java:178)
        at org.apache.fop.fo.expr.PropertyParser.parseAdditiveExpr(PropertyParser.java:152)
        at org.apache.fop.fo.expr.PropertyParser.parseProperty(PropertyParser.java:126)
        at org.apache.fop.fo.expr.PropertyParser.parse(PropertyParser.java:92)
        at org.apache.fop.fo.properties.PropertyMaker.make(PropertyMaker.java:438)
        at org.apache.fop.fo.PropertyList.convertAttributeToProperty(PropertyList.java:499)
        at org.apache.fop.fo.PropertyList.addAttributesToList(PropertyList.java:386)
        at org.apache.fop.fo.FObj.processNode(FObj.java:124)
        at org.apache.fop.fo.flow.table.TableFObj.processNode(TableFObj.java:232)
        at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.startElement(FOTreeBuilder.java:291)
        at org.apache.fop.fo.FOTreeBuilder.startElement(FOTreeBuilder.java:179)
        at org.apache.xalan.transformer.TransformerIdentityImpl.startElement(TransformerIdentityImpl.java:1073)
        at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown Source)
        at org.apache.xerces.parsers.AbstractXMLDocumentParser.emptyElement(Unknown Source)
        at org.apache.xerces.xinclude.XIncludeHandler.emptyElement(Unknown Source)
        at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.xalan.transformer.TransformerIdentityImpl.transform(TransformerIdentityImpl.java:485)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:285)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:115)
        at org.apache.fop.cli.Main.startFOP(Main.java:186)
        at org.apache.fop.cli.Main.main(Main.java:217)

[ERROR] FOUserAgent - Invalid property value encountered in column-width="proportional-column-width(1)": org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:586:683: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width' (See position 586:843) <org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:586:683: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width'>org.apache.fop.fo.expr.PropertyException: file:/var/www/html/w/images/DocBookExport/foobar/foobar.fo:586:683: proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width'
        at org.apache.fop.fo.expr.ProportionalColumnWidthFunction.eval(ProportionalColumnWidthFunction.java:61)
        at org.apache.fop.fo.expr.PropertyParser.parsePrimaryExpr(PropertyParser.java:341)
        at org.apache.fop.fo.expr.PropertyParser.parseUnaryExpr(PropertyParser.java:213)
        at org.apache.fop.fo.expr.PropertyParser.parseMultiplicativeExpr(PropertyParser.java:178)
        at org.apache.fop.fo.expr.PropertyParser.parseAdditiveExpr(PropertyParser.java:152)
        at org.apache.fop.fo.expr.PropertyParser.parseProperty(PropertyParser.java:126)
        at org.apache.fop.fo.expr.PropertyParser.parse(PropertyParser.java:92)
        at org.apache.fop.fo.properties.PropertyMaker.make(PropertyMaker.java:438)
        at org.apache.fop.fo.PropertyList.convertAttributeToProperty(PropertyList.java:499)
        at org.apache.fop.fo.PropertyList.addAttributesToList(PropertyList.java:386)
        at org.apache.fop.fo.FObj.processNode(FObj.java:124)
        at org.apache.fop.fo.flow.table.TableFObj.processNode(TableFObj.java:232)
        at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.startElement(FOTreeBuilder.java:291)
        at org.apache.fop.fo.FOTreeBuilder.startElement(FOTreeBuilder.java:179)
        at org.apache.xalan.transformer.TransformerIdentityImpl.startElement(TransformerIdentityImpl.java:1073)
        at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown Source)
        at org.apache.xerces.parsers.AbstractXMLDocumentParser.emptyElement(Unknown Source)
        at org.apache.xerces.xinclude.XIncludeHandler.emptyElement(Unknown Source)
        at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.xalan.transformer.TransformerIdentityImpl.transform(TransformerIdentityImpl.java:485)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:285)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:115)
        at org.apache.fop.cli.Main.startFOP(Main.java:186)
        at org.apache.fop.cli.Main.main(Main.java:217)

[ERROR] FOP - Exception <org.apache.fop.apps.FOPException: org.apache.fop.fo.ValidationException: The column-number or number of cells in the row overflows the number of fo:table-columns specified for the table. (See position 625:183)
javax.xml.transform.TransformerException: org.apache.fop.fo.ValidationException: The column-number or number of cells in the row overflows the number of fo:table-columns specified for the table. (See position 625:183)>org.apache.fop.apps.FOPException: org.apache.fop.fo.ValidationException: The column-number or number of cells in the row overflows the number of fo:table-columns specified for the table. (See position 625:183)
javax.xml.transform.TransformerException: org.apache.fop.fo.ValidationException: The column-number or number of cells in the row overflows the number of fo:table-columns specified for the table. (See position 625:183)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:288)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:115)
        at org.apache.fop.cli.Main.startFOP(Main.java:186)
        at org.apache.fop.cli.Main.main(Main.java:217)
Caused by: javax.xml.transform.TransformerException: org.apache.fop.fo.ValidationException: The column-number or number of cells in the row overflows the number of fo:table-columns specified for the table. (See position 625:183)
        at org.apache.xalan.transformer.TransformerIdentityImpl.transform(TransformerIdentityImpl.java:502)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:285)
        ... 3 more
Caused by: org.apache.fop.fo.ValidationException: The column-number or number of cells in the row overflows the number of fo:table-columns specified for the table. (See position 625:183)
        at org.apache.fop.events.ValidationExceptionFactory.createException(ValidationExceptionFactory.java:38)
        at org.apache.fop.events.EventExceptionManager.throwException(EventExceptionManager.java:58)
        at org.apache.fop.events.DefaultEventBroadcaster$1.invoke(DefaultEventBroadcaster.java:175)
        at com.sun.proxy.$Proxy5.tooManyCells(Unknown Source)
        at org.apache.fop.fo.flow.table.TableCellContainer.addTableCellChild(TableCellContainer.java:75)
        at org.apache.fop.fo.flow.table.TableRow.addChildNode(TableRow.java:95)
        at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.startElement(FOTreeBuilder.java:324)
        at org.apache.fop.fo.FOTreeBuilder.startElement(FOTreeBuilder.java:179)
        at org.apache.xalan.transformer.TransformerIdentityImpl.startElement(TransformerIdentityImpl.java:1073)
        at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown Source)
        at org.apache.xerces.xinclude.XIncludeHandler.startElement(Unknown Source)
        at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.xalan.transformer.TransformerIdentityImpl.transform(TransformerIdentityImpl.java:485)
        ... 4 more

---------

javax.xml.transform.TransformerException: org.apache.fop.fo.ValidationException: The column-number or number of cells in the row overflows the number of fo:table-columns specified for the table. (See position 625:183)
        at org.apache.xalan.transformer.TransformerIdentityImpl.transform(TransformerIdentityImpl.java:502)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:285)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:115)
        at org.apache.fop.cli.Main.startFOP(Main.java:186)
        at org.apache.fop.cli.Main.main(Main.java:217)
Caused by: org.apache.fop.fo.ValidationException: The column-number or number of cells in the row overflows the number of fo:table-columns specified for the table. (See position 625:183)
        at org.apache.fop.events.ValidationExceptionFactory.createException(ValidationExceptionFactory.java:38)
        at org.apache.fop.events.EventExceptionManager.throwException(EventExceptionManager.java:58)
        at org.apache.fop.events.DefaultEventBroadcaster$1.invoke(DefaultEventBroadcaster.java:175)
        at com.sun.proxy.$Proxy5.tooManyCells(Unknown Source)
        at org.apache.fop.fo.flow.table.TableCellContainer.addTableCellChild(TableCellContainer.java:75)
        at org.apache.fop.fo.flow.table.TableRow.addChildNode(TableRow.java:95)
        at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.startElement(FOTreeBuilder.java:324)
        at org.apache.fop.fo.FOTreeBuilder.startElement(FOTreeBuilder.java:179)
        at org.apache.xalan.transformer.TransformerIdentityImpl.startElement(TransformerIdentityImpl.java:1073)
        at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown Source)
        at org.apache.xerces.xinclude.XIncludeHandler.startElement(Unknown Source)
        at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.xalan.transformer.TransformerIdentityImpl.transform(TransformerIdentityImpl.java:485)
        ... 4 more
---------
org.apache.fop.fo.ValidationException: The column-number or number of cells in the row overflows the number of fo:table-columns specified for the table. (See position 625:183)
        at org.apache.fop.events.ValidationExceptionFactory.createException(ValidationExceptionFactory.java:38)
        at org.apache.fop.events.EventExceptionManager.throwException(EventExceptionManager.java:58)
        at org.apache.fop.events.DefaultEventBroadcaster$1.invoke(DefaultEventBroadcaster.java:175)
        at com.sun.proxy.$Proxy5.tooManyCells(Unknown Source)
        at org.apache.fop.fo.flow.table.TableCellContainer.addTableCellChild(TableCellContainer.java:75)
        at org.apache.fop.fo.flow.table.TableRow.addChildNode(TableRow.java:95)
        at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.startElement(FOTreeBuilder.java:324)
        at org.apache.fop.fo.FOTreeBuilder.startElement(FOTreeBuilder.java:179)
        at org.apache.xalan.transformer.TransformerIdentityImpl.startElement(TransformerIdentityImpl.java:1073)
        at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown Source)
        at org.apache.xerces.xinclude.XIncludeHandler.startElement(Unknown Source)
        at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.xalan.transformer.TransformerIdentityImpl.transform(TransformerIdentityImpl.java:485)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:285)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:115)
        at org.apache.fop.cli.Main.startFOP(Main.java:186)
        at org.apache.fop.cli.Main.main(Main.java:217)

Event Timeline

Foxtrott created this task.Jun 8 2018, 7:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2018, 7:23 PM
Vvjjkkii renamed this task from DocBookExport: No PDF created, produced docbook appears to be malformed to idbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed Nischayn22 as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Nischayn22; removed: Aklapper.
CommunityTechBot renamed this task from idbaaaaaaa to DocBookExport: No PDF created, produced docbook appears to be malformed.Jul 2 2018, 3:06 PM
CommunityTechBot assigned this task to Nischayn22.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: Aklapper; removed: Nischayn22.

This was probably related to some Doctype and namespace declarations. I believe its been fixed now as I have my links working. If it still fails for you, please reopen and provide the exact link HTML which fails.

Nischayn22 closed this task as Resolved.Aug 17 2019, 1:37 PM